Bug 29399 - openafs incompatible with backported 5.13 kernel (dkms-libafs fails to build the module)
Summary: openafs incompatible with backported 5.13 kernel (dkms-libafs fails to build ...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: x86_64 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-23 20:32 CEST by Damien Neyret
Modified: 2021-09-19 16:50 CEST (History)
1 user (show)

See Also:
Source RPM: openafs-1.9.0-1.mga8.src.rpm
CVE:
Status comment:


Attachments

Description Damien Neyret 2021-08-23 20:32:53 CEST
Description of problem:

dkms can't build the libafs module with kernel 5.13.12-desktop-2.mga8. When I try to do it by hand (make in /var/lib/dkms/libafs/1.9.0-1.mga8/build) I get the error:
/var/lib/dkms/libafs/1.9.0-1.mga8/build/src/libafs/MODLOAD-5.13.12-desktop-2.mga8-MP/afs_syscall.c:127:26: erreur: « TIF_IA32 » non déclaré (première utilisation dans cette fonction)
  127 |     if (test_thread_flag(TIF_IA32))
      |                          ^~~~~~~~
./include/linux/thread_info.h:131:45: note: dans la définition de la macro « test_thread_flag »
  131 |  test_ti_thread_flag(current_thread_info(), flag)

According to the openafs.org site a new openafs version named 1.8.8 (newer than 1.9.0 then...) should be compatible with kernels 5.11 and later.


Version-Release number of selected component (if applicable):
Mageia 8, openafs version 1.9.0-1, kernel 5.13.12


How reproducible:

dkms build -m libafs -v 1.9.0-1.mga8 -k 5.13.12-desktop-2.mga8

Thanks for your help !
Comment 1 David Walser 2021-08-24 00:17:57 CEST
Ouch, yeah they don't list a newer development 1.9.x release, but they do have the 1.8.7 emergency bugfix release and 1.8.8 update for kernel 5.13.

There is a 1.9.1 on the download site, which is newer than 1.8.7, so it probably includes the emergency bugfix, but not the kernel 5.13 support (it supports 5.12).

Assignee: bugsquad => tmb
Summary: dkms-libafs fails to build the module => openafs incompatible with backported 5.13 kernel (dkms-libafs fails to build the module)
Source RPM: dkms-libafs-1.9.0-1.mga8 => openafs-1.9.0-1.mga8.src.rpm
Whiteboard: (none) => MGA8TOO
Version: 8 => Cauldron

Comment 2 Thomas Backlund 2021-08-24 10:55:06 CEST

Should be fixed with openafs-1.9.0-1.1.mga8 just uploaded to updates testing:


SRPM:
openafs-1.9.0-1.1.mga8.src.rpm


i586:
dkms-libafs-1.9.0-1.1.mga8.noarch.rpm
libopenafs2-1.9.0-1.1.mga8.i586.rpm
libopenafs-devel-1.9.0-1.1.mga8.i586.rpm
libopenafs-static-devel-1.9.0-1.1.mga8.i586.rpm
openafs-1.9.0-1.1.mga8.i586.rpm
openafs-client-1.9.0-1.1.mga8.i586.rpm
openafs-doc-1.9.0-1.1.mga8.noarch.rpm
openafs-server-1.9.0-1.1.mga8.i586.rpm


x86_64:
dkms-libafs-1.9.0-1.1.mga8.noarch.rpm
lib64openafs2-1.9.0-1.1.mga8.x86_64.rpm
lib64openafs-devel-1.9.0-1.1.mga8.x86_64.rpm
lib64openafs-static-devel-1.9.0-1.1.mga8.x86_64.rpm
openafs-1.9.0-1.1.mga8.x86_64.rpm
openafs-client-1.9.0-1.1.mga8.x86_64.rpm
openafs-doc-1.9.0-1.1.mga8.noarch.rpm
openafs-server-1.9.0-1.1.mga8.x86_64.rpm

Whiteboard: MGA8TOO => (none)
Version: Cauldron => 8
Assignee: tmb => qa-bugs

Comment 3 Damien Neyret 2021-08-27 14:39:48 CEST
Hi !

I tried to install the new openafs version 1.9.0-1.1.mga8. The dkms module compiles correctly with kernel version 5.13.12-desktop-2.mga8, and that module loads correctly in the system:

[neyret@localhost neyret]# service openafs-client status
Redirecting to /bin/systemctl status openafs-client.service
● openafs-client.service - OpenAFS Client Service
     Loaded: loaded (/usr/lib/systemd/system/openafs-client.service; disabled; vendor preset: >
     Active: active (running) since Fri 2021-08-27 14:19:41 CEST; 8s ago
    Process: 11982 ExecStartPre=/bin/sed -n w/etc/openafs/CellServDB /etc/openafs/CellServDB.l>
    Process: 11988 ExecStartPre=/bin/chmod 0644 /etc/openafs/CellServDB (code=exited, status=0>
    Process: 11989 ExecStartPre=/sbin/modprobe libafs (code=exited, status=0/SUCCESS)
    Process: 11993 ExecStart=/sbin/afsd $AFSD_ARGS (code=exited, status=0/SUCCESS)
      Tasks: 5 (limit: 9511)
     Memory: 17.0M
        CPU: 245ms
     CGroup: /system.slice/openafs-client.service
             ├─12001 /sbin/afsd -dynroot -fakestat -afsdb
             ├─12009 /sbin/afsd -dynroot -fakestat -afsdb
             ├─12011 /sbin/afsd -dynroot -fakestat -afsdb
             ├─12013 /sbin/afsd -dynroot -fakestat -afsdb
             └─12014 /sbin/afsd -dynroot -fakestat -afsdb

août 27 14:19:40 localhost systemd[1]: Starting OpenAFS Client Service...
août 27 14:19:41 localhost afsd[12015]: afsd: All AFS daemons started.
août 27 14:19:41 localhost afsd[11993]: afsd: All AFS daemons started.
août 27 14:19:41 localhost systemd[1]: Started OpenAFS Client Service.

But when I try to access to a remote file system it fails (it does the same with other servers):
/home/neyret 2> ll /afs/grand.central.org
ls: impossible d'accéder à '/afs/grand.central.org': Connexion terminée par expiration du délai d'attente

Here are the messages in dmesg:
[ 3154.892362] afs: Lost contact with file server 18.9.48.14 in cell grand.central.org (code -1) (all multi-homed ip addresses down for the server)
[ 3154.892372] RXAFS_GetCapabilities failed with code -1

Any idea about this problem ?

Thanks and best regards
Comment 4 Len Lawrence 2021-09-19 16:50:51 CEST
@Damien
The status message indicates that the service is disabled.
In the past when we have rebooted the system seemed to enable it automatically.
Maybe you could try
# systemctl enable openafs-client
# systemctl start openafs-client
and check status after that if there are no obvious errors.

CC: (none) => tarazed25


Note You need to log in before you can comment on or make changes to this bug.